org.apache.tinkerpop.gremlin.util.function

## Class Lambda.AbstractLambda

- java.lang.Object
- - org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda

- All Implemented Interfaces:
    Serializable, Lambda
  Direct Known Subclasses:
    Lambda.OneArgLambda, Lambda.TwoArgLambda, Lambda.UnknownArgLambda, Lambda.ZeroArgLambda
  Enclosing interface:
    Lambda

      public abstract static class Lambda.AbstractLambda
      extends Object
      implements Lambda

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `Lambda.AbstractLambda, Lambda.BinaryLambda<A>, Lambda.OneArgLambda<A,B>, Lambda.TwoArgLambda<A,B,C>, Lambda.UnaryLambda<A>, Lambda.UnknownArgLambda, Lambda.ZeroArgLambda<A>`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `DEFAULT_LAMBDA_LANGUAGE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)`
    `int` | `getLambdaArguments()`
    `String` | `getLambdaLanguage()`
    `String` | `getLambdaScript()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `biFunction, biFunction, binaryOperator, comparator, comparator, consumer, consumer, function, function, predicate, predicate, supplier, supplier, unaryOperator, unaryOperator`

- - ### Method Detail

    - #### getLambdaScript

          public String getLambdaScript()

      Specified by:
        `getLambdaScript` in interface `Lambda`

    - #### getLambdaLanguage

          public String getLambdaLanguage()

      Specified by:
        `getLambdaLanguage` in interface `Lambda`

    - #### getLambdaArguments

          public int getLambdaArguments()

      Specified by:
        `getLambdaArguments` in interface `Lambda`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.